Page MenuHomePhabricator

Deactivate Hebrew and Portuguese CopyPatrols
Closed, ResolvedPublic2 Story Points

Description

It's broken and has never really been used. As far as I know, there's never been an actual request for it. If someone actually wants to use it, maybe we can fix it instead.

Event Timeline

kaldari created this task.Oct 20 2017, 1:18 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 20 2017, 1:18 AM
kaldari renamed this task from Deactivate Hebrew CopyPatrol to Deactivate Hebrew and Portuguese CopyPatrols.Nov 29 2017, 12:10 AM
kaldari set the point value for this task to 2.
kaldari triaged this task as Low priority.Nov 29 2017, 12:34 AM

Apparently, IThenticate has provisionally given us some more credits, so we can restart the bot.
This might be a good time to tackle T178643 as well (although I'm not sure if that actually affects the number of searches performed).

The bot currently run with the following wikis: frwiki, cswiki, enwiki, eswiki.
ptwiki and hewiki are not running on regular basis, hence doesnt consume credits. Going over reviewed cases, looks like enwiki/frwiki /cswiki are actively patrolled while eswiki is monitored only by " Community Tech bot " - so we probably would like to either promote it so eswiki users will use this tool, or disable it if they find it not useful.

In T178643#3912010, @eranroz wrote:
The bot currently run with the following wikis: frwiki, cswiki, enwiki, eswiki.
ptwiki and hewiki are not running on regular basis, hence doesnt consume credits. Going over reviewed cases, looks like enwiki/frwiki /cswiki are actively patrolled while eswiki is monitored only by " Community Tech bot " - so we probably would like to either promote it so eswiki users will use this tool, or disable it if they find it not useful.

@Johan Do you think you could post something on the eswiki village pump about this? We can give it a week to see if someone still wants to use it else we can stop patrolling eswiki edits for copyright violations.

Sure. I'll take care of it.

(Possibly in a couple of days, preparing for All Hands travel right now.)

@Niharika The general eswiki respons was "hey, this is cool, we'd like to use it, were not aware it existed".

@Johan Thanks. Let's keep it for another month and re-evaluate if they're still using it.

Niharika claimed this task.Feb 7 2018, 11:49 PM
Niharika moved this task from Ready to In Development on the Community-Tech-Sprint board.
MariaDB [s51306__copyright_p]> delete from copyright_diffs where lang='he';
Query OK, 3 rows affected (0.23 sec)

MariaDB [s51306__copyright_p]> delete from copyright_diffs where lang='pt';
Query OK, 25 rows affected (0.28 sec)

The dropdown list still shows those two in the app but the cached list will expire in less than a week. I didn't find a handy way to get Slim to clear that cache unfortunately. Shouldn't be a problem though.

Niharika closed this task as Resolved.Feb 8 2018, 7:26 PM
Niharika moved this task from Needs Review/Feedback to Q1 2018-19 on the Community-Tech-Sprint board.
MusikAnimal moved this task from Backlog to Done on the CopyPatrol board.Jun 20 2018, 5:04 PM